package public

import (
	"git.makki.io/makki/libgo/mhttp"
	"git.makki.io/makki/libgo/svc"
	"net/http"
)

func login(w http.ResponseWriter, r *http.Request) {
	authResp, err := svc.S.Authenticate(r)
	if err != nil {
		mhttp.InternalServerError(w, err)
		return
	}

	clientResp := authResp.GetEndUserResponse()
	mhttp.ResponseSuccess(w, clientResp)
}
